Bug 26358 - Don't use default rndc key in /etc/rndc.conf
Don't use default rndc key in /etc/rndc.conf
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-06 15:50 EST by Idcmp
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 15:50:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Idcmp 2001-02-06 15:50:03 EST
bind910 ships with /etc/rndc.conf and the default key straight from the documentation.  Please don't.

Reproducible: Always
Steps to Reproduce:
1. Find some person who didn't think about changing the key and copied the controls {} directive from the bind9 manual.
2. create a rndc.conf with the stock key
3. rndc -c rnd.conf stop
4. DNS stops.
	

Actual Results:  rndc: reload command successful


Expected Results:  permission denied.
Comment 1 Bernhard Rosenkraenzer 2001-02-28 14:02:36 EST
Fixed in 9.1.0-5

Note You need to log in before you can comment on or make changes to this bug.